Search a specific file
Searches for a specific file from backup data across volumes and systems. Use this to locate files based on criteria such as system, file extensions, size ranges, creation date range, or backup location.
HTTP method and endpoint
POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/catalog/search
Token usage
NetApp Console user token.
Usage notes
Searches for a specific file from the backups taken by the NetApp Backup and Recovery service across volumes and systems. It can also search for a specified volume. It is possible to narrow down your file search based on a particular system, file extensions, size ranges, creation date range, and also location of a backup.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
query |
string |
query |
True |
Search string |
jobId |
string |
query |
False |
|
accountId |
string |
path |
True |
Account ID |
authorization |
string |
header |
True |
User token |
X-Agent-Id |
string |
header |
True |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
False |
Type of resource file/volume |
workingEnvironmentId |
array[string] |
False |
|
fileExtension |
array[string] |
False |
File extension |
size |
False |
Resource size in bytes |
|
creationDate |
False |
Creation date in milliseconds |
|
backupLocation |
string |
False |
Snapshot location local/cloud |
volumeId |
string |
False |
Volume ID |
Example request
{
"type": "string",
"workingEnvironmentId": [
"string"
],
"fileExtension": [
"string"
],
"backupLocation": "string",
"volumeId": "string"
}
Response
Status: 200, Default response
| Name | Type | Required | Description |
|---|---|---|---|
results |
array[results] |
False |
|
endOfResults |
boolean |
False |
|
status |
string |
False |
|
message |
string |
False |
Example response
{
"results": [
{
"resourceName": "string",
"resourceType": "string",
"workingEnvironmentId": "string",
"workingEnvironmentName": "string",
"svmName": "string",
"volumeId": "string",
"volumeName": "string"
}
],
"status": "string",
"message": "string"
}
Response
Status: 202, Default response
| Name | Type | Required | Description |
|---|---|---|---|
job-id |
string |
False |
|
status |
string |
False |
Example response
{
"job-id": "string",
"status": "string"
}
Definitions
See Definitions
size
Resource size in bytes
| Name | Type | Required | Description |
|---|---|---|---|
from |
number |
False |
|
to |
number |
False |
creationDate
Creation date in milliseconds
| Name | Type | Required | Description |
|---|---|---|---|
from |
number |
False |
|
to |
number |
False |
results
| Name | Type | Required | Description |
|---|---|---|---|
resourceName |
string |
False |
|
resourceType |
string |
False |
|
workingEnvironmentId |
string |
False |
|
workingEnvironmentName |
string |
False |
|
svmName |
string |
False |
|
volumeId |
string |
False |
|
volumeName |
string |
False |
|
resourceSize |
number |
False |
|
inode |
number |
False |
|
mtime |
number |
False |
|
latestSnapshotCreationTime |
number |
False |
|
snapshotsCount |
number |
False |